package com.leanwo.activiti.dto.base;

import java.util.List;

/**
 * 待审阅单据新建DTO
 * @author YangZhiJie 2021-01-26
 */
public class UserReadDocumentSimpleDto {
	
	/** 接收用户ID集合. */
	private List<Long> userIds;
	
	/** 窗口ID. */
	private String windowNo;
	
	/** 页签ID. */
	private Integer tabIndex;
	
	/** 记录ID. */
	private Long recordId;
	
    /**  流程实例Id. */
	private String processInstanceId;

    /**
     * Gets the 接收用户ID集合.
     *
     * @return the 接收用户ID集合
     */
    public List<Long> getUserIds() {
        return userIds;
    }

    /**
     * Sets the 接收用户ID集合.
     *
     * @param userIds the new 接收用户ID集合
     */
    public void setUserIds(List<Long> userIds) {
        this.userIds = userIds;
    }

    /**
     * Gets the 窗口ID.
     *
     * @return the 窗口ID
     */
    public String getWindowNo() {
        return windowNo;
    }

    /**
     * Sets the 窗口ID.
     *
     * @param windowNo the new 窗口ID
     */
    public void setWindowNo(String windowNo) {
        this.windowNo = windowNo;
    }

    /**
     * Gets the 页签ID.
     *
     * @return the 页签ID
     */
    public Integer getTabIndex() {
        return tabIndex;
    }

    /**
     * Sets the 页签ID.
     *
     * @param tabIndex the new 页签ID
     */
    public void setTabIndex(Integer tabIndex) {
        this.tabIndex = tabIndex;
    }

    /**
     * Gets the 记录ID.
     *
     * @return the 记录ID
     */
    public Long getRecordId() {
        return recordId;
    }

    /**
     * Sets the 记录ID.
     *
     * @param recordId the new 记录ID
     */
    public void setRecordId(Long recordId) {
        this.recordId = recordId;
    }

    /**
     * Gets the 流程实例Id.
     *
     * @return the 流程实例Id
     */
    public String getProcessInstanceId() {
        return processInstanceId;
    }

    /**
     * Sets the 流程实例Id.
     *
     * @param processInstanceId the new 流程实例Id
     */
    public void setProcessInstanceId(String processInstanceId) {
        this.processInstanceId = processInstanceId;
    }
}